function f = surfmichelson(x,y,alpha)
% Note that alpha=1/epsilon following the notation
% is used in Algorithm 1.

[~,n]=size(x);
[~,m]=size(y);

for i=1:n
    for j=1:m
        f(i,j) = michelson(x(1,i),y(1,j),alpha);
    end
end

function f = michelson(x,y,alpha)

f = (2*x*y)/((x+y)^2)*atan(alpha*(x-y))/atan(alpha);

