function f = surfminmaxatan(x,y,alpha)
%This function implements the r^{id}_alpha(x,y) described in the paper,
%where alpha corresponds to 1/epsilon in the papers' notation.

[~,n]=size(x);
[~,m]=size(y);

for i=1:n
    for j=1:m
        f(i,j) = minmaxatan(x(i),y(j),alpha);
    end
end

function f = minmaxatan(x,y,alpha)

param = atan(alpha*(x-y))/atan(alpha);

if(param <= 0)
   f = param*(x/y);
else
   f = param*(y/x);
end